Class IncidentlogsController
java.lang.Object
org.apache.clusterbr.zupportl5.controller.IncidentlogsController
@RestController
@RequestMapping("/api/incidentlogs")
public class IncidentlogsController
extends Object
REST-API Endpoints --
- GET /api/incidentlogs/{id}: Returns data from the API
- PUT /api/incidentlogs/{id}: Updates an entry by ID
- DELETE /api/incidentlogs/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<Incidentlogs>create(Incidentlogs item) org.springframework.http.ResponseEntity<Void>org.springframework.http.ResponseEntity<List<Incidentlogs>>getAll()org.springframework.http.ResponseEntity<Incidentlogs>org.springframework.http.ResponseEntity<Incidentlogs>update(Integer id, Incidentlogs incidentLog)
-
Constructor Details
-
IncidentlogsController
-
-
Method Details
-
getAll
-
getById
@GetMapping("/{id}") public org.springframework.http.ResponseEntity<Incidentlogs> getById(@PathVariable Integer id) -
create
@PostMapping public org.springframework.http.ResponseEntity<Incidentlogs> create(@RequestBody Incidentlogs item) -
update
@PutMapping("/{id}") public org.springframework.http.ResponseEntity<Incidentlogs> update(@PathVariable Integer id, @RequestBody Incidentlogs incidentLog) -
delete
-